classification
Title: IDLE hangs in popup method completion
Type: Stage:
Components: IDLE Versions: Python 2.5
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: kbk Nosy List: andyharrington, kbk, taleinat
Priority: normal Keywords:

Created on 2007-05-19 17:23 by andyharrington, last changed 2007-08-24 03:25 by kbk. This issue is now closed.

Messages (3)
msg32083 - (view) Author: Andy Harrington (andyharrington) Date: 2007-05-19 17:23
import os

os.

After entering the above code in a new idle editor window, the popup method completion window appears.  If I navigate with the down-arrow key, the list starts scrolling fine all the way down to spawnv, which I can select, but if I try to use down-arrow once more and scroll the list (to what would be startfile if I could reach it), idle hangs.  

Pure pagedown works all the way to in the popup to write, but then it I use up-arrow idle hangs when I try to scroll up beyond startfile to what would be spawnv.

I am running Windows XP, service pack 2.  On May 5 I installed and am running python-2.5.1.msi.

I started idle form idle.bat while in the idlelib directory.  I also ran \Python25\Lib\idlelib\idle.pyw from other directories with the same result.

I have no such problem with modules os.path or string.  I did not think of a module to try which has a list of methods as long as os.

 
msg32084 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2007-05-24 19:06
This has already been resolved: see SourceForge bug 1571112 "simple moves freeze IDLE"
msg55236 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2007-08-24 03:25
fixed at 53042.
History
Date User Action Args
2007-08-24 03:25:40kbksetstatus: open -> closed
priority: high -> normal
messages: + msg55236
2007-05-19 17:23:57andyharringtoncreate